#!/bin/sh

../parsekey "1jn.2.3"
../parsekey "1 jn.2.3"
../parsekey "Ijn.2.3"
../parsekey "I jn.2.3"
../parsekey "1jn 2.3"
../parsekey "1 jn 2.3"
../parsekey "Ijn 2.3"
../parsekey "I jn 2.3"
../parsekey "1jn.2:3"
../parsekey "1 jn.2:3"
../parsekey "Ijn.2:3"
../parsekey "I jn.2:3"
../parsekey "1jn 2:3"
../parsekey "1 jn 2:3"
../parsekey "Ijn 2:3"
../parsekey "I jn 2:3"

../parsekey "1.jn.2.3"
../parsekey "1. jn.2.3"
../parsekey "I.jn.2.3"
../parsekey "I. jn.2.3"
../parsekey "1.jn 2.3"
../parsekey "1. jn 2.3"
../parsekey "I.jn 2.3"
../parsekey "I. jn 2.3"
../parsekey "1.jn.2:3"
../parsekey "1. jn.2:3"
../parsekey "I.jn.2:3"
../parsekey "I. jn.2:3"
../parsekey "1.jn 2:3"
../parsekey "1. jn 2:3"
../parsekey "I.jn 2:3"
../parsekey "I. jn 2:3"

### German test keys
../parsekey "1. Johannes 2:3" "de"

### Range parsing tests
../parsekey "1. Johannes 1:1-3:10" "de"
../parsekey "1. Joh 1:1-3:10" "de"
../parsekey "1Jn 1:1-3:10"
../parsekey "1. Johannes 1:1 - 3:10" "de"
../parsekey "1. Joh 1:1 - 3:10" "de"
../parsekey "1Jn 1:1 - 3:10"
../parsekey "1. Johannes 1:1 -3:10" "de"
../parsekey "1. Joh 1:1 -3:10" "de"
../parsekey "1Jn 1:1 -3:10"
../parsekey "1. Johannes 1:1- 3:10" "de"
../parsekey "1. Joh 1:1- 3:10" "de"
../parsekey "1Jn 1:1- 3:10"

### List parsing tests
../parsekey "1Jn 1:1 3:10"
../parsekey "1Jn 1:1  3:10"
../parsekey "1Jn 1:1,3:10"
../parsekey "1Jn 1:1, 3:10"
../parsekey "1Jn 1:1 ,3:10"
../parsekey "1Jn 1:1 , 3:10"
../parsekey "1Jn 1:1;3:10"
../parsekey "1Jn 1:1; 3:10"
../parsekey "1Jn 1:1 ;3:10"
../parsekey "1Jn 1:1 ; 3:10"
